/*
 * Copyright 2017-2024 Oleg Borodin <onborodin@gmail.com>
 *
 */
#ifndef UART_H_QWERTY
#define UART_H_QWERTY

#include <stdio.h>
#include <fifo.h>

extern fifo_t uart_inbuf, uart_outbuf;
extern FILE uart_stream;

void uartio_init(void);
void uart_init(void);
void uart_handle(void);

int uart_putchar(char c, FILE * stream);
int uart_getchar(FILE * stream);

#endif

